module jp.ku6.bbs.action.ThreadListAction;

import jp.ku6.raptan.core;
import jp.ku6.bbs.logic.ThreadLogic;
import jp.ku6.bbs.view.ThreadListView;

/++
 + スレッド一覧画面
 +/
class ThreadListAction
{
	/++
	 + コンストラクタ
	 +
	 + Params:
	 +  logic = スレッドのロジックオブジェクト
	 +/
	this(ThreadLogic logic)
	{
		logic_ = logic;
		view_ = new ThreadListView;
	}

	/++
	 + メイン処理
	 +
	 + Params:
	 +  request = リクエスト
	 +  response = レスポンス
	 +
	 + Returns:
	 +  内部リダイレクト先のActionのパス
	 +/
	string execute(Request request, Response response)
	{
		// データを取得してViewにセット
		view_.threads = logic_.selectForListView();

		// HTMLを出力
		view_.print(&response.append);

		return null;
	}

private:

	// ロジック
	ThreadLogic logic_;

	// 表示処理
	ThreadListView view_;
}
