module jp.ku6.bbs.form.ThreadBuildFrom;

import jp.ku6.sweets.form;
import jp.ku6.bbs.constants;

/++
 + スレッド追加フォーム
 +/
class ThreadBuildFrom : Form
{
	/// スレッドタイトル
	TextInputField title;

	/// >> 1の名前
	TextInputField name;

	/// >> 1の内容
	TextInputField content;

	/// 送信ボタン
	SubmitField submit;

	/++
	 + コンストラクタ
	 +/
	this()
	{
		// テンプレートで使用するIDと、actionのURLを設定する
		super("threadBuildForm", APPLICATION_ROOT_URI ~ "/ThreadBuild.html");


		// タイトル入力欄の設定
		// IDと、表示用に使用する名前を設定する
		// IDはリクエストパラメータ名とテンプレート上のs:idを兼ねる
		title = new TextInputField(this, "title", "タイトル");

		// 入力欄に対して必須入力を設定
		new RequiredValidator(title, REQUIRED_VALIDATOR_MESSAGE);

		// 入力欄に対して入力最大値を設定
		new MaximumLengthValidator(title, MAXLENGTH_VALIDATOR_MESSAGE, 256);


		// 名前入力欄
		name = new TextInputField(this, "name", "作成者");
		new RequiredValidator(name, REQUIRED_VALIDATOR_MESSAGE);
		new MaximumLengthValidator(name, MAXLENGTH_VALIDATOR_MESSAGE, 1024);


		// 内容入力欄
		content = new TextInputField(this, "content", "内容");
		new RequiredValidator(content, REQUIRED_VALIDATOR_MESSAGE);
		new MaximumLengthValidator(content, MAXLENGTH_VALIDATOR_MESSAGE, 10240);


		// 作成ボタン
		submit = new SubmitField(this, "submit", "作成");
	}

	/++
	 + フォームのリセット
	 +/
	void reset()
	{
		title.value = null;
		name.value = null;
		content.value = null;
	}
}
